## Apache Zeta Components Manual :: Docs For Class ezcDbHandlerPgsql

### Database::ezcDbHandlerPgsql

### Class ezcDbHandlerPgsql

PostgreSQL driver implementation

Source for this file: /Database/src/handlers/pgsql.php

    PDO
       |
       --ezcDbHandler
          |
          --ezcDbHandlerPgsql

Version: | //autogentag//

### Inherited Member Variables

From ezcDbHandler
protected | `ezcDbHandler::$identifierQuoteChars`
protected | `ezcDbHandler::$transactionErrorFlag`
protected | `ezcDbHandler::$transactionNestingLevel`

### Method Summary

public static string | `getName( )` Returns 'pgsql'.
public ezcDbHandlerPgsql | `__construct( $dbParams )` Constructs a handler object from the parameters $dbParams.
public ezcQueryExpressionPgsql | `createExpression( )` Returns a new ezcQueryExpression derived object with PostgreSQL implementation specifics.
public ezcUtilitiesPgsql | `createUtilities( )` Returns a new ezcUtilities derived object with PostgreSQL implementation specifics.

### Inherited Methods

From ezcDbHandler
public ezcDbHandler | `ezcDbHandler::__construct()` Constructs a handler object.
public bool | `ezcDbHandler::beginTransaction()` Begins a transaction.
public bool | `ezcDbHandler::commit()` Commits a transaction.
public ezcQueryDelete | `ezcDbHandler::createDeleteQuery()` Returns a new ezcQueryDelete derived object for the correct database type.
public ezcQueryExpression | `ezcDbHandler::createExpression()` Returns a new ezcQueryExpression derived object for the correct database type.
public ezcQueryInsert | `ezcDbHandler::createInsertQuery()` Returns a new ezcQueryInsert derived object for the correct database type.
public ezcQuerySelect | `ezcDbHandler::createSelectQuery()` Returns a new ezcQuerySelect derived object for the correct database type.
public ezcQueryUpdate | `ezcDbHandler::createUpdateQuery()` Returns a new ezcQueryUpdate derived object for the correct database type.
public ezcDbUtilities | `ezcDbHandler::createUtilities()` Returns a new ezcUtilities derived object for the correct database type.
public string | `ezcDbHandler::quoteIdentifier()` Returns the quoted version of an identifier to be used in an SQL query.
public bool | `ezcDbHandler::rollback()` Rollback a transaction.

### Methods

#### getName

static string getName( )

Returns 'pgsql'.

#### __construct

ezcDbHandlerPgsql __construct( array $dbParams )

Constructs a handler object from the parameters $dbParams.

Supported database parameters are:

- dbname|database: Database name
- user|username: Database user name
- pass|password: Database user password
- host|hostspec: Name of the host database is running on
- port: TCP port

##### Parameters:

Name | Type | Description
--- | --- | ---
`$dbParams` | array | Database connection parameters (key=>value pairs).

##### Exceptions:

Type | Description
--- | ---
`ezcDbMissingParameterException` | if the database name was not specified.

##### Redefinition of:

Method | Description
--- | ---
`ezcDbHandler::__construct()` | Constructs a handler object.

#### createExpression

ezcQueryExpressionPgsql createExpression( )

Returns a new ezcQueryExpression derived object with PostgreSQL implementation specifics.

##### Redefinition of:

Method | Description
--- | ---
`ezcDbHandler::createExpression()` | Returns a new ezcQueryExpression derived object for the correct database type.

#### createUtilities

ezcUtilitiesPgsql createUtilities( )

Returns a new ezcUtilities derived object with PostgreSQL implementation specifics.

##### Redefinition of:

Method | Description
--- | ---
`ezcDbHandler::createUtilities()` | Returns a new ezcUtilities derived object for the correct database type.

Documentation generated by phpDocumentor 1.4.3